POST
Criar conta

Authorizations

Authorization
string
header
required

HTTP Basic com o token como usuário e o secret como senha: curl -u dpz_tk_…:dpz_sk_…. Crie a chave em https://despezzas.com/settings/api-keys.

Body

application/json

Logo: URL ou código de banco da lista pública.

Example:

"https://cdn.despezzas.com/banks/nubank.png"

name
string
required

Nome.

Example:

"Nubank"

balance
integer

Saldo inicial. Em centavos.

Example:

1250000

include_total_balance
boolean

Se entra no saldo total. Padrão: true.

Example:

true

type
enum<string>

Tipo. Padrão: PERSONAL_BANK.

Available options:
PERSONAL_BANK,
BUSINESS_BANK,
INVESTMENT,
OTHER
Example:

"PERSONAL_BANK"

Response

Sucesso.

id
string
required

Id da conta.

Example:

"3a9e7d21-4b5c-4d6e-8f70-1a2b3c4d5e6f"

include_total_balance
boolean
required

Se entra no saldo total.

Example:

true

is_default
boolean
required

Conta padrão do contexto.

Example:

true

Logo do banco (URL).

Example:

"https://cdn.despezzas.com/banks/nubank.png"

name
string
required

Nome.

Example:

"Nubank"

user_id
string
required

Dono.

Example:

"0d6b923c-3392-424e-a152-2ee32474e8d5"

balance
integer | null

Saldo atual. Em centavos.

Example:

1250000

createdAt
string<date-time>

Criação.

Example:

"2026-09-01T09:00:00.000Z"

profile_id
string | null

Perfil de Acesso / empresa.

Example:

null

subtype
string | null

Subtipo informado pelo banco (Open Finance).

Example:

null

type
enum<string> | null

Tipo.

Available options:
PERSONAL_BANK,
BUSINESS_BANK,
INVESTMENT,
OTHER,
null
Example:

"PERSONAL_BANK"

updatedAt
string<date-time>

Última alteração.

Example:

"2026-09-15T14:32:10.000Z"